SBOCQX(3)

SYNOPSIS
SUBROUTINE SBOCQX (LUN, KPRINT, IPASS)

NAME
sbocqx - Quick check for SBOCLS.

LIBRARY
SLATEC

TYPE
SINGLE PRECISION (SBOCQX-S, DBOCQX-D)

KEYWORDS
QUICK CHECK

AUTHOR
(UNKNOWN)

DESCRIPTION
MINIMAL TEST DRIVER FOR SBOCLS, BOUNDED CONSTRAINED LEAST SQUARES SOLVER. DELIVERS THE VALUE IPASS=1 IF 8 TESTS WERE PASSED. DELIVER THE VALUE IPASS=0 IF ANY ONE OF THEM FAILED. RUN FOUR BOUNDED LEAST SQUARES PROBLEMS THAT COME FROM THE DIPLOME WORK OF P. ZIMMERMANN.

ROUTINES CALLED
R1MACH, SBOCLS, SBOLS, SCOPY, SNRM2

REVISION HISTORY (YYMMDD)
850310 DATE WRITTEN
890618 REVISION DATE from Version 3.2
891214 Prologue converted to Version 4.0 format. (BAB)
901013 Added PASS/FAIL message and cleaned up FORMATs. (RWC)